Package: javax.swing

## Interface ListModel

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Object` | `getAt(int index)` Support the subscript operator for ListModel.
    `Iterator` | `iterator()` Returns an Iterator which traverses the ListModel one element at a time.
    `int` | `size()` Provide the standard Groovy `size()` method for `ListModel`.

- - ### Methods Detail

    - #### public Object getAt(int index)

      Support the subscript operator for ListModel.

      Parameters:
        `index` - the index of the element to get
      Returns:
        the element at the given index
      Since:
        1.6.4

    - #### public Iterator iterator()

      Returns an Iterator which traverses the ListModel one element at a time.

      Returns:
        an Iterator for a ListModel
      Since:
        1.6.4

    - #### public int size()

      Provide the standard Groovy `size()` method for `ListModel`.

      Returns:
        the size of the ListModel
      Since:
        1.6.4